heat (1:22.0.1-0ubuntu1.3) noble; urgency=medium

  * Preserve auto-populated binding:profile fields during update. (LP: #2114984)
    - d/p/lp2114984-preserve-auto-populated-binding-profile-fields-durin.patch

 -- Zhang Hua <joshua.zhang@canonical.com>  Wed, 29 Apr 2026 09:44:10 +0800

heat (1:22.0.1-0ubuntu1.2) noble; urgency=medium

  * Fix stack update when reauth = trusts (LP: #2097539).
    - d/p/lp2097539-Fix-stack-update-when-reauthentication_auth_method-t.patch 

 -- Alejandro Santoyo Gonzalez <alejandro.santoyo@canonical.com>  Tue, 16 Sep 2025 08:51:43 +0000

heat (1:22.0.1-0ubuntu1.1) noble; urgency=medium

  * Fix wrong shebang in loguserdata.py (LP: #2116890)
    - d/p/lp2116890-Fix-wrong-shebang-of-loguserdata-py.patch

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Mon, 14 Jul 2025 10:41:43 -0500

heat (1:22.0.1-0ubuntu1) noble; urgency=medium

  * d/gbp.conf: Set upstream branch to upstream-caracal.
  * New upstream release for OpenStack Caracal (LP: #2097425).

 -- James Page <james.page@ubuntu.com>  Wed, 05 Feb 2025 10:57:11 +0000

heat (1:22.0.0-0ubuntu2) noble; urgency=medium

  [ James Page ]
  * d/gbp.conf: Configure debian branch for stable updates.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ Rodrigo Barbieri ]
  * d/p/lp2085409.patch: Fix wrongly
    passing "no_fixed_ips" to Neutron (LP: #2085409).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Dec 2024 11:46:21 +0000

heat (1:22.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:09:50 +0100

heat (1:22.0.0~rc1-0ubuntu1) noble; urgency=medium

  [ James Page ]
  * d/watch: Track Caracal series releases.

  [ Alex Kavanagh ]
  * New upstream release canadidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/p/python3.13-compat.patch: Dropped as patch added upstream.

 -- Alex Kavanagh <alex.kavanagh@canonical.com>  Mon, 25 Mar 2024 16:00:02 +0000

heat (1:21.0.0+git2024011916.2df46d4c-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/p/python3.12-compat.patch: Fix has_calls test failures.
  * d/rules: Run unit tests in parallel.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jan 2024 13:56:12 +0000

heat (1:21.0.0-0ubuntu4) noble; urgency=medium

  * d/p/install-missing-files.patch: Updated to pick up
    heat/cloudinit/ (LP: #2039302).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Nov 2023 14:22:35 -0500

heat (1:21.0.0-0ubuntu3) noble; urgency=medium

  * d/p/install-missing-files.patch: Install missing database and cloudinit
    files (LP: #2039302).
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Oct 2023 13:33:37 -0400

heat (1:21.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    heat/db/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 16:37:24 -0400

heat (1:21.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:54:21 -0400

heat (1:20.0.0+git2023090509.ccf4793a-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:18:32 -0400

heat (1:20.0.0+git2023071214.a4ac653e-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/python3-heat.install: Drop installation of migrate.cfg
    inline with upstream legacy migration removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:12:22 -0400

heat (1:20.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:31:28 -0400

heat (1:19.0.0+git2023030211.2e7b666b-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:50:05 -0500

heat (1:19.0.0+git2023011009.b452ea70-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:46:22 -0500

heat (1:19.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 19.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:33:13 -0400

heat (1:18.0.0+git2022091212.7b1b373d2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:47:47 -0400

heat (1:18.0.0+git2022071414.a8fce1d09-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/heat-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.
  * d/p/drop-zun.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:04:00 -0400

heat (1:18.0.0+git2022060209.78244c5f0-0ubuntu2) kinetic; urgency=medium

  * d/control: Drop python3-zunclient as support is patched out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jun 2022 13:12:02 -0400

heat (1:18.0.0+git2022060209.78244c5f0-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.
  * d/rules: Run tests serially to avoid oslo.config NoSuchOptError.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:33:16 -0400

heat (1:18.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 18.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 16:36:36 -0400

heat (1:17.0.1+git2022030311.968969b99-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:30:39 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu3) jammy; urgency=medium

  * d/p/drop-zun(client).patch: Rename patch and drop zun.py as well.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Jan 2022 10:30:29 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu2) jammy; urgency=medium

  * d/control, d/p/drop-zunclient.patch: Drop zunclient as zun is not
    packaged in Ubuntu.
  * d/control: Move python3-vitrageclient from Suggests to Depends in
    preperation for moving to Ubuntu main (LP: #1893935).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jan 2022 14:49:10 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/p/adjust-assert-raises-regex-for-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:33:02 -0500

heat (1:17.0.0+git2021120816.fe8fba8c9-0ubuntu2) jammy; urgency=medium

  * d/p/adjust-assert-raises-regex-for-py310.patch: Patch AssertRaisesRegex
    messages as they are slightly different with Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Dec 2021 11:23:34 -0500

heat (1:17.0.0+git2021120816.fe8fba8c9-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:01:06 -0500

heat (1:17.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 17.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:32 +0000

heat (1:16.0.0+git2021090814.b461754e8-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

heat (1:16.0.0+git2021072116.c72b55bee-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:46:00 -0400

heat (1:16.0.0+git2021061112.25db65878-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:26 +0000

heat (1:16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:03:03 -0400

heat (1:16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 29 Mar 2021 13:38:35 +0000

heat (1:15.0.0+git2021012507.32f901420-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:05:07 +0000

heat (1:15.0.0+git2020120911.4370af157-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:57:44 -0500

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu2) groovy; urgency=medium

  * d/t/heat-daemons: Fix incorrect tail option in error log display

 -- Bryce Harrington <bryce@canonical.com>  Fri, 25 Sep 2020 19:43:13 +0000

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 10 Sep 2020 12:07:54 +0000

heat (1:15.0.0~b2~git2020073013.65de8cb43-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 13:17:06 +0000

heat (1:15.0.0~b1~git2020062912.8353fddf9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Removed. Change landed
    upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 29 Jun 2020 12:17:47 +0000

heat (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/727181/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:51:44 -0400

heat (1:14.0.0~b3~git2020041012.2ef9f4bf3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:00:14 -0400

heat (1:14.0.0~b3~git2020032414.d8354d908-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:51:59 -0400

heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu2) focal; urgency=medium

  * d/py3dist-overrides: Add python-vitrageclient as we have it in Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 13:13:44 -0500

heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 13:40:37 -0500

heat (1:14.0.0~b1~git2019121613.7b606461e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:24:54 -0500

heat (1:13.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:35:32 +0100

heat (1:13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 13.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:23:47 -0400

heat (1:13.0.0~b2~git2019073114.4563f0d0d-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 14:30:44 +0200

heat (1:13.0.0~b1~git2019061420.28dd8117b-0ubuntu2) eoan; urgency=medium

  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:53:42 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog heat-common`.
